
Name: irrtoolset
Version: 5.1.1
Release: 2%{?dist}
Summary: The Internet Routing Registry Toolset
License: MIT and GPLv2+
URL: https://github.com/irrtoolset/irrtoolset
Source0: irrtoolset-5.1.1.tar.gz
BuildRequires: glibc-devel libstdc++-devel readline-devel autoconf automake libtool bison flex gcc gcc-c++
Requires: readline

%description
The IRRToolSet is a set of tools to work with Internet routing policies. 
These policies are stored in Internet Routing Registries (IRR) in the 
Routing Policy Specification Language (RPSL).  The goal of the IRRToolSet is
to make routing information more convenient and useful for network engineers,
by providing tools for automated router configuration, routing policy 
analysis, and on-going maintenance.

%prep
%setup -q

%build
autoreconf -vfi
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS NEWS README.md COPYING
%{_bindir}/peval
%{_bindir}/rpslcheck
%{_bindir}/rtconfig
%{_mandir}/man1/irrtoolset-errors.1*
%{_mandir}/man1/rpslcheck.1*
%{_mandir}/man1/peval.1*
%{_mandir}/man1/rtconfig.1*

%changelog
* Tue Jun 18 2019 Clinton Work <clinton@scripty.com>
- Update to version 5.1.1 and rebuild on Fedora 30
* Sun Jun 26 2016 Clinton Work <clinton@scripty.com>
- Initial spec file
- Created the source tar file from git clone

